<template>
  <div class="header">
    <b-container>
      <b-row>
        <Tabs @active="setActiveTab" />
        <FilterBar />
      </b-row>
    </b-container>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import Tabs from './Tabs.vue'
import FilterBar from './FilterBar.vue'

export default Vue.extend<any, any, any, any>({
  name: 'TableHeader',
  components: { Tabs, FilterBar },
  methods: {
    setActiveTab(tab: any) {
      this.$emit('active', tab)
    }
  }
})
</script>

<style>
.header {
  display: inline-block;
}
</style>
